

#include "BUILTIN.h"

#include "Nat.h"
extern OBJ _AComAgentConv_2(OBJ);OBJ __AComAgentConv_2; /* ` */
OBJ __AComAgentConv_3; /* `'3 */

extern OBJ _AComAgentConv_2(OBJ x1) /* ` */
{OBJ r;
 CPPRD(__AComAgentConv_3,1);
 FREE(x1,1);
 r=__AComAgentConv_3;
 return r;}

static OBJ _mt_1_0_1(OBJ t,OBJ t1) 
{OBJ r;
 DCCLS(t,1);
 r=(*(OBJ(*)(OBJ))ENTRY(t))(t1);
 return r;}
static OBJ _mt_1_0_1_l(OBJ t,OBJ t1) 
{OBJ r;
 DCCLS(t,1);
 r=(*(OBJ(*)(OBJ))ENTRY(t))(t1);
 COPY(r,1);LZYCLS(t,r);
 return r;}

init_AComAgentConv()
{
 static int visited=0; if(visited) return; visited=1;
 init_AComAgent();
 init_ANat();
 init_ACom();
 init_AVoid();
 init_ASeq();
 init_AOption();
 DEN("some agent",__AComAgentConv_3);
 CLS(1,_AComAgentConv_2,__AComAgentConv_2);
 MTH(1,0,1,_mt_1_0_1);LZYMTH(1,0,1,_mt_1_0_1_l);}

